dofile("data/scripts/lib/utilities.lua")
function OnPlayerSpawned( player_entity )

	if tonumber(StatsGetValue("playtime")) < 1 then
		-- Random starting loadouts compatibility fix, basically just setting several file paths back to default
		if ModIsEnabled("starting_loadouts") then
			ComponentSetValue( EntityGetFirstComponent( player_entity, "SpriteComponent" ), "image_file", "data/enemies_gfx/player.xml" )
			ComponentSetValue( EntityGetFirstComponent( player_entity, "DamageModelComponent" ), "ragdoll_filenames_file", "data/ragdolls/player/filenames.txt" )
			ComponentSetValue( EntityGetFirstComponent( player_arm, "SpriteComponent" ), "image_file", "data/enemies_gfx/player_arm.xml" )
			-- For the arm simply setting the path isn't enough, we need to kill it and load it again
			local plyrChildEnt = EntityGetAllChildren( player_entity )
			if ( plyrChildEnt ~= nil ) then
				for i,chldEntity in ipairs( plyrChildEnt ) do
					local childName = EntityGetName( chldEntity)
					if ( childName == "arm_r" ) then
						EntityKill( chldEntity )
						arm_entity = EntityLoad( "mods/reisen_player_character/files/entities/player_arm.xml")
						EntityAddChild( player_entity, arm_entity )
						break
					end
				end
			end
		end
		
		--Tiny fix so the bottom of the sprite doesn't clip by one pixel
		ComponentSetValue( EntityGetFirstComponent( player_entity, "SpriteComponent" ), "offset_y", "15" )
		
		--Adds the glowing eyes
		EntityAddComponent( player_entity, "SpriteComponent",
			{ 
    	    	_tags="character",  
				alpha="1",
				image_file="mods/reisen_player_character/files/enemies_gfx/player_emissive.xml",
				emissive="1",
        		additive="1",
				next_rect_animation="",
    			offset_x="6",
    			offset_y="15", 
    			rect_animation="walk",
    			z_index="0.5"
		 	} )
	
		-- Removes the default cape and spawns the new one
		local plyChildEnt = EntityGetAllChildren( player_entity )
		if ( plyChildEnt ~= nil ) then
			for i,childEntity in ipairs( plyChildEnt ) do
				if ( EntityGetName( childEntity ) == "cape" ) then
					EntityKill( childEntity )
					local px, py = EntityGetTransform( player_entity )
					cape_entity = EntityLoad( "mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hair.xml", px, py )
					EntityAddChild( player_entity, cape_entity )
					break
				end
			end
		end
	 	
		--Loads the two extra capes
		local px, py = EntityGetTransform( player_entity )
    	local reisen_hairL = EntityLoad("mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hairL.xml", px, py)    
		local reisen_hairR = EntityLoad("mods/reisen_player_character/files/verlet_chains/reisen_hair/reisen_hairR.xml", px, py)    
    	EntityAddChild( player_entity, reisen_hairL )
    	EntityAddChild( player_entity, reisen_hairR )
	
		--Fix for capes disappearing upon teleport
		EntityAddComponent( player_entity, "LuaComponent",
	        {
          	remove_after_executed="0",
          	execute_times="-1",
          	script_source_file="mods/reisen_player_character/files/scripts/cape_fix.lua"
        	} )
					
		--Replaces the jetpack's particles
		EntitySetComponentsWithTagEnabled( player_entity, "jetpack", 1 )
		if( nil == EntityGetFirstComponent( player_entity, "ParticleEmitterComponent", "reisen_lev" ) ) then
			-- Remove old particles
			for i,compo in ipairs( {"ParticleEmitterComponent", "SpriteParticleEmitterComponent"} ) do
				while( compo ~= nil ) do
					local ptEmit = EntityGetFirstComponent( player_entity, compo, "jetpack" )
					if ( ptEmit == nil ) then break end
					EntityRemoveComponent( player_entity, ptEmit )
				end
			end
			-- Create new particles
			local ptEmit1 = EntityAddComponent( player_entity, "ParticleEmitterComponent",
			{
				_tags="jetpack,reisen_lev",
				emitted_material_name="plasma_fading_pink",
				x_pos_offset_min="-5",
				x_pos_offset_max="5",
				y_pos_offset_min="-5",
				y_pos_offset_max="5",
				x_vel_min="-6",
				x_vel_max="6",
				y_vel_min="5",
				y_vel_max="20",
				count_min="6",
				attractor_force="0",
				lifetime_min="0.0",
				lifetime_max="10",
				create_real_particles="0",
				emit_cosmetic_particles="1",
				fade_based_on_lifetime="1",
				draw_as_long="1",
				emission_interval_min_frames="1",
				emission_interval_max_frames="1",
				is_trail="0",
				trail_gap="0.0",
				airflow_force="1.051",
				airflow_time="1.01",
				airflow_scale="0.05",
				is_emitting="1"
			} )
			local ptx, pty = ComponentGetValueVector2( ptEmit1, "gravity" )
			local amn, amx = ComponentGetValueVector2( ptEmit1, "area_circle_radius" )
			pty = "6.0"
			amx = "0"
			ComponentSetValueVector2( ptEmit1, "gravity", ptx, pty )
			ComponentSetValueVector2( ptEmit1, "offset", "-2", "2" )
			ComponentSetValueVector2( ptEmit1, "area_circle_radius", amn, amx )
		end
	end
end